Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Interface IFixMsgTypeDefs

All Known Subinterfaces:
  IBusinessRejectReason, IFixDefs, IOrdRejReason, IOrdType

All Known Implementing Classes:
  ATradeTransportable, BusinessMessageReject, ClosedPositionReport, CollateralInquiry, CollateralInquiryAck, CollateralReport, DasMessage, DasMessage, EMail, ExecutionReport, FXCMNewsRequest, FXCMNewsTopicRequest, FXCMNewsTopicResponse, Heartbeat, Logout, MarketDataRequest, MarketDataRequestReject, News, OrderCancelReject, OrderCancelReplaceRequest, OrderCancelRequest, OrderList, OrderMassStatusRequest, OrderSingle, OrderStatusRequest, PositionReport, Quote, QuoteCancel, QuoteRequest, QuoteRequestReject, QuoteResponse, RequestForPositions, RequestForPositionsAck, SecurityList, SecurityListRequest, SecurityStatus, SecurityStatusRequest, TestRequest, TradingSessionStatus, TradingSessionStatus, TradingSessionStatusRequest, UserRequest, UserResponse

    public interface IFixMsgTypeDefs

Set of FIX releated constants.

Field Summary
`static String` | `MSGTYPE_BUSINESSMESSAGEREJECT` Message Type Bussines Message Reject
`static String` | `MSGTYPE_COLLATERALINQUIRY` Message Type Collateral Inquiry
`static String` | `MSGTYPE_COLLATERALINQUIRYACK` Message Type Collateral Inquiry Acknowledgement
`static String` | `MSGTYPE_COLLATERALREPORT` Message Type Collateral Report
`static String` | `MSGTYPE_EMAIL` Message Type Email
`static String` | `MSGTYPE_EXECUTION_REPORT` Message Type Execution report
`static String` | `MSGTYPE_FXCMDASMESSAGE` Message Type FXCM DAS Message
`static String` | `MSGTYPE_FXCMMDSRESPONSEBATCH` Message Type FXCM MarketDataSnapshotResponse Batch
`static String` | `MSGTYPE_FXCMNEWSREQUEST` Message Type FXCM News request
`static String` | `MSGTYPE_FXCMNEWSTOPICREQUEST` FXCM News request for topics message
`static String` | `MSGTYPE_FXCMNEWSTOPICRESPONSE` FXCM News request for topics response message
`static String` | `MSGTYPE_FXCMREQUEST` Generic FXCM request
`static String` | `MSGTYPE_FXCMREQUESTBATCH` Message Type FXCM Request Batch
`static String` | `MSGTYPE_FXCMREQUESTREJECT` FXCM request reject message
`static String` | `MSGTYPE_FXCMRESPONSE` Generic FXCM response
`static String` | `MSGTYPE_FXCMRESPONSEBATCH` Message Type FXCM Response Batch
`static String` | `MSGTYPE_HEARTBEAT` Message Type Heartbeat
`static String` | `MSGTYPE_LOGON` Message Type Logon
`static String` | `MSGTYPE_LOGOUT` Message Type Logout
`static String` | `MSGTYPE_MARKETDATAREQUEST` Message Type MarketDataRequest
`static String` | `MSGTYPE_MARKETDATAREQUESTREJECT` Message Type MarketDataRequestReject
`static String` | `MSGTYPE_MARKETDATASNAPSHOTFULLREFRESH` Message Type MarketDataSnapshotFullRefresh
`static String` | `MSGTYPE_MARKETDATASNAPSHOTINCREMENTALREFRESH` Message Type MarketDataSnapshotIncrementalRefresh
`static String` | `MSGTYPE_NEWS` Message Type FXCM News response
`static String` | `MSGTYPE_ORDERCANCELREJECT` Message Type Order Cancel Reject
`static String` | `MSGTYPE_ORDERCANCELREPLACEREQUEST` Message used to request a change in the existing order
`static String` | `MSGTYPE_ORDERCANCELREQUEST` Message Type Order Cancel Request
`static String` | `MSGTYPE_ORDERLIST` Message type OrderList
`static String` | `MSGTYPE_ORDERMASSSTATUSREQUEST` Message Type Order Mass Status Request
`static String` | `MSGTYPE_ORDERSINGLE` Message Type OrderSingle
`static String` | `MSGTYPE_ORDERSTATUSREQUEST` Message type Order Status Request
`static String` | `MSGTYPE_POSITIONREPORT` Message type Position Report
`static String` | `MSGTYPE_QUOTE` Message Type Quote
`static String` | `MSGTYPE_QUOTE_REQUEST` Message Type Quote Request
`static String` | `MSGTYPE_QUOTE_REQUESTREJECT` Message Type Quote Request Reject
`static String` | `MSGTYPE_QUOTE_RESPONSE` Message Type Quote Response
`static String` | `MSGTYPE_QUOTECANCEL` Message Type Quote Cancel
`static String` | `MSGTYPE_REQUESTFORPOSITIONS` Message Type Request For Positions
`static String` | `MSGTYPE_REQUESTFORPOSITIONSACK` Message Type Request For Positions Acknowledgement
`static String` | `MSGTYPE_SECURITYLIST` Message Type Security List
`static String` | `MSGTYPE_SECURITYLISTREQUEST` Message Type Security List Request
`static String` | `MSGTYPE_SECURITYSTATUS` Message Type Security Status
`static String` | `MSGTYPE_SECURITYSTATUSREQUEST` Message Type Security Status Request
`static String` | `MSGTYPE_TESTREQUEST` Message Type Test Request
`static String` | `MSGTYPE_TRADINGSESSIONSTATUS` Message Type TradingSessionStatus
`static String` | `MSGTYPE_TRADINGSESSIONSTATUSREQUEST` Message Type TradingSessionStatusRequest
`static String` | `MSGTYPE_USERREQUEST` Message Type User Request
`static String` | `MSGTYPE_USERRESPONSE` Message Type User Response

Field Detail

### MSGTYPE_LOGOUT

    static final String MSGTYPE_LOGOUT

  Message Type Logout

  See Also:
    Constant Field Values

### MSGTYPE_LOGON

    static final String MSGTYPE_LOGON

  Message Type Logon

  See Also:
    Constant Field Values

### MSGTYPE_EMAIL

    static final String MSGTYPE_EMAIL

  Message Type Email

  See Also:
    Constant Field Values

### MSGTYPE_BUSINESSMESSAGEREJECT

    static final String MSGTYPE_BUSINESSMESSAGEREJECT

  Message Type Bussines Message Reject

  See Also:
    Constant Field Values

### MSGTYPE_QUOTE

    static final String MSGTYPE_QUOTE

  Message Type Quote

  See Also:
    Constant Field Values

### MSGTYPE_QUOTE_REQUEST

    static final String MSGTYPE_QUOTE_REQUEST

  Message Type Quote Request

  See Also:
    Constant Field Values

### MSGTYPE_QUOTE_RESPONSE

    static final String MSGTYPE_QUOTE_RESPONSE

  Message Type Quote Response

  See Also:
    Constant Field Values

### MSGTYPE_QUOTE_REQUESTREJECT

    static final String MSGTYPE_QUOTE_REQUESTREJECT

  Message Type Quote Request Reject

  See Also:
    Constant Field Values

### MSGTYPE_MARKETDATAREQUEST

    static final String MSGTYPE_MARKETDATAREQUEST

  Message Type MarketDataRequest

  See Also:
    Constant Field Values

### MSGTYPE_MARKETDATASNAPSHOTFULLREFRESH

    static final String MSGTYPE_MARKETDATASNAPSHOTFULLREFRESH

  Message Type MarketDataSnapshotFullRefresh

  See Also:
    Constant Field Values

### MSGTYPE_MARKETDATASNAPSHOTINCREMENTALREFRESH

    static final String MSGTYPE_MARKETDATASNAPSHOTINCREMENTALREFRESH

  Message Type MarketDataSnapshotIncrementalRefresh

  See Also:
    Constant Field Values

### MSGTYPE_MARKETDATAREQUESTREJECT

    static final String MSGTYPE_MARKETDATAREQUESTREJECT

  Message Type MarketDataRequestReject

  See Also:
    Constant Field Values

### MSGTYPE_ORDERSINGLE

    static final String MSGTYPE_ORDERSINGLE

  Message Type OrderSingle

  See Also:
    Constant Field Values

### MSGTYPE_ORDERLIST

    static final String MSGTYPE_ORDERLIST

  Message type OrderList

  See Also:
    Constant Field Values

### MSGTYPE_TRADINGSESSIONSTATUSREQUEST

    static final String MSGTYPE_TRADINGSESSIONSTATUSREQUEST

  Message Type TradingSessionStatusRequest

  See Also:
    Constant Field Values

### MSGTYPE_TRADINGSESSIONSTATUS

    static final String MSGTYPE_TRADINGSESSIONSTATUS

  Message Type TradingSessionStatus

  See Also:
    Constant Field Values

### MSGTYPE_HEARTBEAT

    static final String MSGTYPE_HEARTBEAT

  Message Type Heartbeat

  See Also:
    Constant Field Values

### MSGTYPE_TESTREQUEST

    static final String MSGTYPE_TESTREQUEST

  Message Type Test Request

  See Also:
    Constant Field Values

### MSGTYPE_EXECUTION_REPORT

    static final String MSGTYPE_EXECUTION_REPORT

  Message Type Execution report

  See Also:
    Constant Field Values

### MSGTYPE_FXCMNEWSREQUEST

    static final String MSGTYPE_FXCMNEWSREQUEST

  Message Type FXCM News request

  See Also:
    Constant Field Values

### MSGTYPE_NEWS

    static final String MSGTYPE_NEWS

  Message Type FXCM News response

  See Also:
    Constant Field Values

### MSGTYPE_QUOTECANCEL

    static final String MSGTYPE_QUOTECANCEL

  Message Type Quote Cancel

  See Also:
    Constant Field Values

### MSGTYPE_USERRESPONSE

    static final String MSGTYPE_USERRESPONSE

  Message Type User Response

  See Also:
    Constant Field Values

### MSGTYPE_USERREQUEST

    static final String MSGTYPE_USERREQUEST

  Message Type User Request

  See Also:
    Constant Field Values

### MSGTYPE_POSITIONREPORT

    static final String MSGTYPE_POSITIONREPORT

  Message type Position Report

  See Also:
    Constant Field Values

### MSGTYPE_ORDERCANCELREQUEST

    static final String MSGTYPE_ORDERCANCELREQUEST

  Message Type Order Cancel Request

  See Also:
    Constant Field Values

### MSGTYPE_ORDERCANCELREJECT

    static final String MSGTYPE_ORDERCANCELREJECT

  Message Type Order Cancel Reject

  See Also:
    Constant Field Values

### MSGTYPE_ORDERSTATUSREQUEST

    static final String MSGTYPE_ORDERSTATUSREQUEST

  Message type Order Status Request

  See Also:
    Constant Field Values

### MSGTYPE_ORDERMASSSTATUSREQUEST

    static final String MSGTYPE_ORDERMASSSTATUSREQUEST

  Message Type Order Mass Status Request

  See Also:
    Constant Field Values

### MSGTYPE_REQUESTFORPOSITIONSACK

    static final String MSGTYPE_REQUESTFORPOSITIONSACK

  Message Type Request For Positions Acknowledgement

  See Also:
    Constant Field Values

### MSGTYPE_REQUESTFORPOSITIONS

    static final String MSGTYPE_REQUESTFORPOSITIONS

  Message Type Request For Positions

  See Also:
    Constant Field Values

### MSGTYPE_SECURITYSTATUS

    static final String MSGTYPE_SECURITYSTATUS

  Message Type Security Status

  See Also:
    Constant Field Values

### MSGTYPE_SECURITYSTATUSREQUEST

    static final String MSGTYPE_SECURITYSTATUSREQUEST

  Message Type Security Status Request

  See Also:
    Constant Field Values

### MSGTYPE_SECURITYLISTREQUEST

    static final String MSGTYPE_SECURITYLISTREQUEST

  Message Type Security List Request

  See Also:
    Constant Field Values

### MSGTYPE_SECURITYLIST

    static final String MSGTYPE_SECURITYLIST

  Message Type Security List

  See Also:
    Constant Field Values

### MSGTYPE_COLLATERALREPORT

    static final String MSGTYPE_COLLATERALREPORT

  Message Type Collateral Report

  See Also:
    Constant Field Values

### MSGTYPE_COLLATERALINQUIRY

    static final String MSGTYPE_COLLATERALINQUIRY

  Message Type Collateral Inquiry

  See Also:
    Constant Field Values

### MSGTYPE_COLLATERALINQUIRYACK

    static final String MSGTYPE_COLLATERALINQUIRYACK

  Message Type Collateral Inquiry Acknowledgement

  See Also:
    Constant Field Values

### MSGTYPE_ORDERCANCELREPLACEREQUEST

    static final String MSGTYPE_ORDERCANCELREPLACEREQUEST

  Message used to request a change in the existing order

  See Also:
    Constant Field Values

### MSGTYPE_FXCMNEWSTOPICREQUEST

    static final String MSGTYPE_FXCMNEWSTOPICREQUEST

  FXCM News request for topics message

  See Also:
    Constant Field Values

### MSGTYPE_FXCMREQUESTREJECT

    static final String MSGTYPE_FXCMREQUESTREJECT

  FXCM request reject message

  See Also:
    Constant Field Values

### MSGTYPE_FXCMNEWSTOPICRESPONSE

    static final String MSGTYPE_FXCMNEWSTOPICRESPONSE

  FXCM News request for topics response message

  See Also:
    Constant Field Values

### MSGTYPE_FXCMREQUEST

    static final String MSGTYPE_FXCMREQUEST

  Generic FXCM request

  See Also:
    Constant Field Values

### MSGTYPE_FXCMRESPONSE

    static final String MSGTYPE_FXCMRESPONSE

  Generic FXCM response

  See Also:
    Constant Field Values

### MSGTYPE_FXCMRESPONSEBATCH

    static final String MSGTYPE_FXCMRESPONSEBATCH

  Message Type FXCM Response Batch

  See Also:
    Constant Field Values

### MSGTYPE_FXCMREQUESTBATCH

    static final String MSGTYPE_FXCMREQUESTBATCH

  Message Type FXCM Request Batch

  See Also:
    Constant Field Values

### MSGTYPE_FXCMMDSRESPONSEBATCH

    static final String MSGTYPE_FXCMMDSRESPONSEBATCH

  Message Type FXCM MarketDataSnapshotResponse Batch

  See Also:
    Constant Field Values

### MSGTYPE_FXCMDASMESSAGE

    static final String MSGTYPE_FXCMDASMESSAGE

  Message Type FXCM DAS Message

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.